Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgIntrospection::Reflection Class Reference

This class provides basic reflection services such as registration of new types and queries on the global type map. More...

List of all members.

## Static Public Member Functions
const Type & | getType (const std::type_info &ti)
| Returns the Type object associated to the given type_info structure.
const Type & | getType (const std::string &qname)
| Finds a Type object given its qualified name, which must be identical to the qualified name returned by that Type's getQualifiedName() method.
const TypeMap & | getTypes ()
| Returns the global map of types.
const Type & | type_void ()
| Return the Type object associated to the C++ type 'void'.
const Converter * | getConverter (const Type &source, const Type &dest)
bool | getConversionPath (const Type &source, const Type &dest, ConverterList &conv)

## Detailed Description

This class provides basic reflection services such as registration of new types and queries on the global type map.

## Member Function Documentation

bool osgIntrospection::Reflection::getConversionPath | ( | const Type & | source,
|  | const Type & | dest,
|  | ConverterList & | conv
| ) | `[static]`

const Converter* osgIntrospection::Reflection::getConverter | ( | const Type & | source,
|  | const Type & | dest
| ) | `[static]`

const Type& osgIntrospection::Reflection::getType | ( | const std::string & | qname | ) | `[static]`

| Finds a Type object given its qualified name, which must be identical to the qualified name returned by that Type's getQualifiedName() method. If the type hasn't been created yet, an exception is thrown.

const Type& osgIntrospection::Reflection::getType | ( | const std::type_info & | ti | ) | `[static]`

| Returns the Type object associated to the given type_info structure. If the type hasn't been created yet it is automatically created and added to the global type map. Please note that such type will have the status of "declared", you still need to give details about it through a Reflector class before you can query it.

const TypeMap& osgIntrospection::Reflection::getTypes | ( |  | ) | `[static]`

| Returns the global map of types.

const Type& osgIntrospection::Reflection::type_void | ( |  | ) | `[static]`

| Return the Type object associated to the C++ type 'void'. This is a shortcut for typeof(void), which may be slow if the type map is large.

The documentation for this class was generated from the following file:

- Reflection